Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.props
Class PropertyChangeListenerFactory

    java.lang.Object
      org.flexdock.docking.props.PropertyChangeListenerFactory

Direct Known Subclasses:
  DockablePropertyChangeHandler.Factory, DockablePropertyChangeHandler.Factory

    public abstract class PropertyChangeListenerFactory

extends Object

Author:
  Christopher Butler

Constructor Summary
`PropertyChangeListenerFactory()`

Method Summary
`static void` | `addFactory(PropertyChangeListenerFactory factory)`
`abstract PropertyChangeListener` | `getListener()`
`static PropertyChangeListener[]` | `getListeners()`
`static void` | `removeFactory(PropertyChangeListenerFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyChangeListenerFactory

    public PropertyChangeListenerFactory()

Method Detail

### addFactory

    public static void addFactory(PropertyChangeListenerFactory factory)

### removeFactory

    public static void removeFactory(PropertyChangeListenerFactory factory)

### getListeners

    public static PropertyChangeListener[] getListeners()

### getListener

    public abstract PropertyChangeListener getListener()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD